### Signal

# Gdk Paintable::invalidate-size

#### Declaration

    void
    invalidate_size (
      GdkPaintable* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the intrinsic size of the `paintable` changes.

This means the values reported by at least one of `gdk_paintable_get_intrinsic_width()`, `gdk_paintable_get_intrinsic_height()` or `gdk_paintable_get_intrinsic_aspect_ratio()` has changed.

Examples for such an event would be a paintable displaying the contents of a toplevel surface being resized.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.